Skip to Content
veriom

Record service deployment

POST
/v1/workspaces/{workspace_id}/services/{service_id}/deployments

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
service_id*Service Id
Formatuuid

Request Body

application/json
  1. body
audit_id?|null
branch_ref?string|null
commit_sha?|null
configuration_sha256?|null
environment*Environment
Match^[a-zA-Z0-9][a-zA-Z0-9._-]*$
Length1 <= length <= 100
evidence_ids?array<>
Itemsitems <= 50
image_digest?|null
observed_at*Observed At
Formatdate-time
resource_keys?array<string>
Itemsitems <= 100
source_event_id*Source Event Id
Length1 <= length <= 200
source_kind?Source Kind
Default"manual"
Value in"manual""ci""cloud"
source_ref*Source Ref
Length1 <= length <= 2048

Response Body

Successful Response

application/json
  1. response
audit_id*|null
branch_ref*string|null
commit_sha*string|null
confidence_basis*Confidence Basis
configuration_sha256*string|null
content_sha256*Content Sha256
environment*Environment
evidence_ids*array<string>
evidence_snapshot*array<>
id*Id
Formatuuid
image_digest*string|null
observed_at*Observed At
Formatdate-time
received_at*Received At
Formatdate-time
repository_id*|null
resource_keys*array<string>
service_id*Service Id
Formatuuid
source_event_id*Source Event Id
source_kind*Source Kind
source_ref*Source Ref
stale?Stale
Defaultfalse
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/497f6eca-6276-4993-bfeb-53cbbbba6f08/deployments' \  -H 'Content-Type: application/json' \  -d '{  "environment": "string",  "observed_at": "2019-08-24T14:15:22Z",  "source_event_id": "string",  "source_ref": "string"}'
Example Response
{  "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",  "branch_ref": "string",  "commit_sha": "string",  "confidence_basis": "string",  "configuration_sha256": "string",  "content_sha256": "string",  "environment": "string",  "evidence_ids": [    "string"  ],  "evidence_snapshot": [    {}  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "image_digest": "string",  "observed_at": "2019-08-24T14:15:22Z",  "received_at": "2019-08-24T14:15:22Z",  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "resource_keys": [    "string"  ],  "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",  "source_event_id": "string",  "source_kind": "string",  "source_ref": "string",  "stale": false}